Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class TrivialHeatWorkJacobianLogger

[frames] | no frames]

# Class TrivialHeatWorkJacobianLogger

source code

                        object --+
                                 |
    AbstractHeatWorkJacobianLogger --+
                                     |
                                    TrivialHeatWorkJacobianLogger

Instance Methods

accumulate(self, heat=0.0, work=0.0, jacobian=1.0) Adds heat and work contribution to the so far accumulated values and "multiply-accumulates" the Jacobian to the so far "multiply-accumulated" values. | source code

Inherited from `AbstractHeatWorkJacobianLogger`: `__init__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `AbstractHeatWorkJacobianLogger`: `heat`, `jacobian`, `work` Inherited from `object`: `__class__`

Method Details

### accumulate(self, heat=0.0, work=0.0, jacobian=1.0)

source code

Adds heat and work contribution to the so far accumulated values and "multiply-accumulates" the Jacobian to the so far "multiply-accumulated" values.

Overrides: AbstractHeatWorkJacobianLogger.accumulate
  (inherited documentation)